package net.minecraft.world.entity.ai.behavior;

import net.minecraft.world.entity.raid.Raid;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.server.level.ServerLevel;

public class LocateHidingPlaceDuringRaid extends LocateHidingPlace {
    public LocateHidingPlaceDuringRaid(final int integer, final float float2) {
        super(integer, float2, 1);
    }
    
    @Override
    protected boolean checkExtraStartConditions(final ServerLevel zd, final LivingEntity aoy) {
        final Raid bfh4 = zd.getRaidAt(aoy.blockPosition());
        return super.checkExtraStartConditions(zd, aoy) && bfh4 != null && bfh4.isActive() && !bfh4.isVictory() && !bfh4.isLoss();
    }
}
